# PaletteMarkedUpText(Markup.MarkupParseResult,MarkupPalette,bool)

Method in [LineView](/2.5/api/csharp/yarn.unity/yarn.unity.lineview.md)

## Summary

Applies the `palette` to the line based on it's markup.

```csharp
public static string PaletteMarkedUpText(Markup.MarkupParseResult line, MarkupPalette palette, bool applyLineBreaks = true)
```

## Remarks

This is static so that other dialogue views can reuse this code. While this is simplistic it is useful enough that multiple pieces might well want it.

## Parameters

| Name                                                                                               | Description                                                                           |
| -------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------- |
| [Yarn.Markup.MarkupParseResult](/2.5/api/csharp/yarn.markup/yarn.markup.markupparseresult.md) line | The parsed marked up line with it's attributes.                                       |
| [Yarn.Unity.MarkupPalette](/2.5/api/csharp/yarn.unity/yarn.unity.markuppalette.md) palette         | The palette mapping attributes to colours.                                            |
| `bool` applyLineBreaks                                                                             | If the \[br /] marker is found in the line should this be replaced with a line break? |

## Returns

A TMP formatted string with the palette markup values injected within.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/2.5/api/csharp/yarn.unity/yarn.unity.lineview/yarn.unity.lineview.palettemarkeduptext.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
